﻿<?xml version="1.0" encoding="utf-8"?><Database Name="Walkthrough" Class="DbDataContext" xmlns="http://schemas.microsoft.com/linqtosql/dbml/2007">
  <Connection Mode="AppSettings" ConnectionString="Data Source=walkthrough.sql.vooxe.com;Initial Catalog=Walkthrough;User ID=walkthroughweb" SettingsObjectName="GDSyncApi.Properties.Settings" SettingsPropertyName="WalkthroughConnectionString1" Provider="System.Data.SqlClient" />
  <Table Name="dbo.PublisherDomains" Member="PublisherDomains">
    <Type Name="PublisherDomain">
      <Column Name="Id" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="PublisherId" Type="System.String" DbType="VarChar(32) NOT NULL" CanBeNull="false" />
      <Column Name="Domain" Type="System.String" DbType="VarChar(200) NOT NULL" CanBeNull="false" />
      <Column Name="Title" Type="System.String" DbType="VarChar(50)" CanBeNull="true" />
      <Column Name="ColorText" Type="System.String" DbType="VarChar(8)" CanBeNull="true" />
      <Column Name="ColorBG" Type="System.String" DbType="VarChar(8)" CanBeNull="true" />
      <Column Name="ColorProgress" Type="System.String" DbType="VarChar(8)" CanBeNull="true" />
      <Column Name="LogoURL" Type="System.String" DbType="VarChar(500)" CanBeNull="true" />
      <Column Name="ThemeURL" Type="System.String" DbType="VarChar(50)" CanBeNull="true" />
      <Column Name="Active" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="Deleted" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="AddedDate" Type="System.DateTime" DbType="DateTime NOT NULL" CanBeNull="false" />
    </Type>
  </Table>
  <Table Name="dbo.Publishers" Member="Publishers">
    <Type Name="Publisher">
      <Column Name="Id" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="PublisherId" Type="System.String" DbType="VarChar(32)" CanBeNull="true" />
      <Column Name="Name" Type="System.String" DbType="VarChar(50) NOT NULL" CanBeNull="false" />
      <Column Name="Lastname" Type="System.String" DbType="VarChar(50) NOT NULL" CanBeNull="false" />
      <Column Name="Email" Type="System.String" DbType="VarChar(250) NOT NULL" CanBeNull="false" />
      <Column Name="CompanyName" Type="System.String" DbType="VarChar(50)" CanBeNull="true" />
      <Column Name="WebsiteURL" Type="System.String" DbType="VarChar(250)" CanBeNull="true" />
      <Column Name="Active" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="Deleted" Type="System.Boolean" DbType="Bit NOT NULL" CanBeNull="false" />
      <Column Name="AddedDate" Type="System.DateTime" DbType="DateTime NOT NULL" CanBeNull="false" />
    </Type>
  </Table>
  <Table Name="dbo.VimeoVideo" Member="VimeoVideos">
    <Type Name="VimeoVideo">
      <Column Name="Id" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="GameId" Type="System.String" DbType="VarChar(32) NOT NULL" CanBeNull="false" />
      <Column Name="Width" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="Height" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="Duration" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
    </Type>
  </Table>
  <Table Name="dbo.VimeoFile" Member="VimeoFiles">
    <Type Name="VimeoFile" Id="ID1">
      <Column Name="Id" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="GameId" Type="System.String" DbType="VarChar(32) NOT NULL" CanBeNull="false" />
      <Column Name="Quality" Type="System.String" DbType="VarChar(10) NOT NULL" CanBeNull="false" />
      <Column Name="Type" Type="System.String" DbType="VarChar(50) NOT NULL" CanBeNull="false" />
      <Column Name="Width" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Height" Type="System.Int32" DbType="Int" CanBeNull="true" />
      <Column Name="Fps" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="Size" Type="System.Int64" DbType="Bigint NOT NULL" CanBeNull="false" />
      <Column Name="Link" Type="System.String" DbType="VarChar(512) NOT NULL" CanBeNull="false" />
      <Column Name="LinkSecure" Type="System.String" DbType="VarChar(512) NOT NULL" CanBeNull="false" />
      <Column Name="State" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="OriginalLink" Type="System.String" DbType="VarChar(512)" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.VimeoPicture" Member="VimeoPictures">
    <Type Name="VimeoPicture" Id="ID2">
      <Column Name="Id" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="GameId" Type="System.String" DbType="VarChar(32) NOT NULL" CanBeNull="false" />
      <Column Name="Width" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="Height" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="Link" Type="System.String" DbType="VarChar(512) NOT NULL" CanBeNull="false" />
      <Column Name="State" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="OriginalLink" Type="System.String" DbType="VarChar(512)" CanBeNull="true" />
    </Type>
  </Table>
  <Table Name="dbo.VideoCatalouge" Member="VideoCatalouges">
    <Type Name="VideoCatalouge">
      <Column Name="Id" Type="System.Int32" DbType="Int NOT NULL IDENTITY" IsPrimaryKey="true" IsDbGenerated="true" CanBeNull="false" />
      <Column Name="UserId" Type="System.String" DbType="VarChar(128) NOT NULL" CanBeNull="false" />
      <Column Name="GameId" Type="System.String" DbType="VarChar(32) NOT NULL" CanBeNull="false" />
      <Column Name="MediaUrl" Type="System.String" DbType="VarChar(250)" CanBeNull="true" />
      <Column Name="ApproverAdminId" Type="System.String" DbType="VarChar(128)" CanBeNull="true" />
      <Column Name="ApprovedDate" Type="System.DateTime" DbType="DateTime" CanBeNull="true" />
      <Column Name="VideoState" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="Transcoded" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="PriorState" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="AddedDate" Type="System.DateTime" DbType="DateTime NOT NULL" CanBeNull="false" />
      <Column Name="VimeoUri" Type="System.String" DbType="VarChar(255)" CanBeNull="true" />
      <Column Name="VimeoState" Type="System.String" DbType="VarChar(32)" CanBeNull="true" />
      <Column Name="VimeoData" Type="System.String" DbType="Text" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="PreviewState" Type="System.Int32" DbType="Int" CanBeNull="true" />
    </Type>
  </Table>
  <Function Name="dbo.APP_VideoCatalouge_Publish" Method="APP_VideoCatalouge_Publish">
    <Parameter Name="UserId" Parameter="userId" Type="System.String" DbType="VarChar(128)" />
    <Parameter Name="GameId" Parameter="gameId" Type="System.String" DbType="VarChar(32)" />
    <Parameter Name="Media" Parameter="media" Type="System.Xml.Linq.XElement" DbType="Xml" />
    <Parameter Name="Transcoded" Parameter="transcoded" Type="System.Int32" DbType="Int" />
    <Return Type="System.Int32" />
  </Function>
  <Function Name="dbo.APP_GetMediaForPoster" Method="APP_GetMediaForPoster">
    <ElementType Name="APP_GetMediaForPosterResult">
      <Column Name="Id" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="UserId" Type="System.String" DbType="VarChar(128) NOT NULL" CanBeNull="false" />
      <Column Name="GameId" Type="System.String" DbType="VarChar(32) NOT NULL" CanBeNull="false" />
      <Column Name="MediaURL" Type="System.String" DbType="VarChar(250)" CanBeNull="true" />
      <Column Name="Transcoded" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
    </ElementType>
  </Function>
  <Function Name="dbo.ADM_GamesForSync" Method="ADM_GamesForSync">
    <ElementType Name="ADM_GamesForSyncResult">
      <Column Name="VideoId" Type="System.String" DbType="VarChar(32)" CanBeNull="true" />
      <Column Name="Title" Type="System.String" DbType="VarChar(150) NOT NULL" CanBeNull="false" />
      <Column Name="GameId" Type="System.String" DbType="VarChar(36) NOT NULL" CanBeNull="false" />
      <Column Name="Developer" Type="System.String" DbType="VarChar(6) NOT NULL" CanBeNull="false" />
    </ElementType>
  </Function>
  <Function Name="dbo.APP_GetMediaForVimeoVideoFile" Method="APP_GetMediaForVimeoVideoFile">
    <ElementType IdRef="ID1" />
  </Function>
  <Function Name="dbo.APP_GetMediaForVimeoVideoPicture" Method="APP_GetMediaForVimeoVideoPicture">
    <ElementType IdRef="ID2" />
  </Function>
  <Function Name="dbo.APP_GetMediaForPreview" Method="APP_GetMediaForPreview">
    <ElementType Name="APP_GetMediaForPreviewResult">
      <Column Name="Id" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="UserId" Type="System.String" DbType="VarChar(128) NOT NULL" CanBeNull="false" />
      <Column Name="GameId" Type="System.String" DbType="VarChar(32) NOT NULL" CanBeNull="false" />
      <Column Name="MediaURL" Type="System.String" DbType="VarChar(250)" CanBeNull="true" />
      <Column Name="Transcoded" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="PreviewState" Type="System.Int32" DbType="Int" CanBeNull="true" />
    </ElementType>
  </Function>
  <Function Name="dbo.APP_GetMediaForTranscoding2" Method="APP_GetMediaForTranscoding2">
    <ElementType Name="APP_GetMediaForTranscoding2Result">
      <Column Name="UserId" Type="System.String" DbType="VarChar(128) NOT NULL" CanBeNull="false" />
      <Column Name="GameId" Type="System.String" DbType="VarChar(32) NOT NULL" CanBeNull="false" />
      <Column Name="MediaURL" Type="System.String" DbType="VarChar(250)" CanBeNull="true" />
      <Column Name="Transcoded" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="VimeoAccount" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
    </ElementType>
  </Function>
  <Function Name="dbo.APP_GetMediaForVimeoData3" Method="APP_GetMediaForVimeoData3">
    <ElementType Name="APP_GetMediaForVimeoData3Result">
      <Column Name="Id" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="UserId" Type="System.String" DbType="VarChar(128) NOT NULL" CanBeNull="false" />
      <Column Name="GameId" Type="System.String" DbType="VarChar(32) NOT NULL" CanBeNull="false" />
      <Column Name="MediaURL" Type="System.String" DbType="VarChar(250)" CanBeNull="true" />
      <Column Name="Transcoded" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="VimeoUri" Type="System.String" DbType="VarChar(255)" CanBeNull="true" />
      <Column Name="VimeoState" Type="System.String" DbType="VarChar(32)" CanBeNull="true" />
      <Column Name="VimeoData" Type="System.String" DbType="Text" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="VimeoAccount" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
    </ElementType>
  </Function>
  <Function Name="dbo.APP_GetMediaForVimeoUpload2" Method="APP_GetMediaForVimeoUpload2">
    <ElementType Name="APP_GetMediaForVimeoUpload2Result">
      <Column Name="Id" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="UserId" Type="System.String" DbType="VarChar(128) NOT NULL" CanBeNull="false" />
      <Column Name="GameId" Type="System.String" DbType="VarChar(32) NOT NULL" CanBeNull="false" />
      <Column Name="MediaURL" Type="System.String" DbType="VarChar(250)" CanBeNull="true" />
      <Column Name="Transcoded" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
      <Column Name="VimeoUri" Type="System.String" DbType="VarChar(255)" CanBeNull="true" />
      <Column Name="VimeoState" Type="System.String" DbType="VarChar(32)" CanBeNull="true" />
      <Column Name="VimeoData" Type="System.String" DbType="Text" CanBeNull="true" UpdateCheck="Never" />
      <Column Name="VimeoAccount" Type="System.Int32" DbType="Int NOT NULL" CanBeNull="false" />
    </ElementType>
  </Function>
</Database>